Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 741111 - PRD34 - [RFE] [REST-API]: add /networks sub-collection under /datacenters/xxx
Summary: PRD34 - [RFE] [REST-API]: add /networks sub-collection under /datacenters/xxx
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Enterprise Virtualization Manager
Classification: Red Hat
Component: ovirt-engine-restapi
Version: 3.0.0
Hardware: x86_64
OS: Linux
unspecified
medium
Target Milestone: ---
: 3.4.0
Assignee: Ravi Nori
QA Contact: Meni Yakove
URL: http://www.ovirt.org/Feature/ApiDataC...
Whiteboard: network
Depends On:
Blocks: 1058594 rhev3.4beta 1142926
TreeView+ depends on / blocked
 
Reported: 2011-09-25 14:23 UTC by Avi Tal
Modified: 2016-04-22 04:59 UTC (History)
12 users (show)

Fixed In Version: ovirt-3.4.0-alpha1
Doc Type: Enhancement
Doc Text:
With this update, a sub-collection for networks has been added to 'datacenter' objects in the REST API, making it possible to view and work with all logical networks belonging to a given data center via the REST API.
Clone Of:
: 1058594 (view as bug list)
Environment:
Last Closed: 2013-02-13 13:35:37 UTC
oVirt Team: Network
Target Upstream Version:
sgrinber: Triaged+
nyechiel: Triaged+


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2014:0506 normal SHIPPED_LIVE Moderate: Red Hat Enterprise Virtualization Manager 3.4.0 update 2014-06-09 18:55:38 UTC
oVirt gerrit 11707 None None None Never

Description Avi Tal 2011-09-25 14:23:55 UTC
Description of problem:
under networks we expose all the existing networks regardless datacenter.
in that case if we'll have X number of DataCenter, will have X number of "rhevm" networks.

We should move the api/networks path under datacenters/UUID/networks. thats way we'll be able to query network name regarding datacenter.





    <networks>
            <network id="91b03348-51f7-4226-a8a6-aa1e7fecc550" href="/api/networks/91b03348-51f7-4226-a8a6-aa1e7fecc550">
                    <name>rhevm</name>
                    <description>Management Network</description>
                    <data_center id="6ccf48eb-5120-4f37-93d6-8c6c157c2ee8" href="/api/datacenters/6ccf48eb-5120-4f37-93d6-8c6c157c2ee8"/>
                    <stp>false</stp>
                    <status>
                            <state>operational</state>
                    </status>
            </network>
            <network id="cc3abbb9-1d25-435a-9326-1d69a1b7c436" href="/api/networks/cc3abbb9-1d25-435a-9326-1d69a1b7c436">
                    <name>sw2</name>
                    <data_center id="6ccf48eb-5120-4f37-93d6-8c6c157c2ee8" href="/api/datacenters/6ccf48eb-5120-4f37-93d6-8c6c157c2ee8"/>
                    <stp>false</stp>
                    <status>
                            <state>operational</state>
                    </status>
            </network>
            <network id="300adcf1-acad-4d19-9f5a-977a0b25750e" href="/api/networks/300adcf1-acad-4d19-9f5a-977a0b25750e">
                    <name>rhevm</name>
                    <description>Management Network</description>
                    <data_center id="5b9fb734-06bc-4f0e-a70a-a21031565cd5" href="/api/datacenters/5b9fb734-06bc-4f0e-a70a-a21031565cd5"/>
                    <stp>false</stp>
                    <status>
                            <state>operational</state>
                    </status>
            </network>
            <network id="5cbab074-b4a9-4ff7-8a88-c656f005042c" href="/api/networks/5cbab074-b4a9-4ff7-8a88-c656f005042c">
                    <name>sw1</name>
                    <data_center id="6ccf48eb-5120-4f37-93d6-8c6c157c2ee8" href="/api/datacenters/6ccf48eb-5120-4f37-93d6-8c6c157c2ee8"/>
                    <vlan id="162"/>
                    <stp>false</stp>
                    <status>
                            <state>operational</state>
                    </status>
            </network>
            <network id="e64b083e-4592-4d85-835e-97e0afec1e44" href="/api/networks/e64b083e-4592-4d85-835e-97e0afec1e44">
                    <name>sw2</name>
                    <data_center id="5b9fb734-06bc-4f0e-a70a-a21031565cd5" href="/api/datacenters/5b9fb734-06bc-4f0e-a70a-a21031565cd5"/>
                    <stp>false</stp>
                    <status>
                            <state>operational</state>
                    </status>
            </network>
            <network id="00000000-0000-0000-0000-000000000009" href="/api/networks/00000000-0000-0000-0000-000000000009">
                    <name>rhevm</name>
                    <description>Management Network</description>
                    <data_center id="a48e55d0-e435-11e0-897d-97c9437e8741" href="/api/datacenters/a48e55d0-e435-11e0-897d-97c9437e8741"/>
                    <stp>false</stp>
                    <status>
                            <state>operational</state>
                    </status>
            </network>

Comment 3 Itamar Heim 2012-12-10 19:11:17 UTC
Closing old bugs. If this issue is still relevant/important in current version, please re-open the bug.

Comment 6 Michael Pasternak 2013-02-13 13:26:08 UTC
the requirement of this bug does not make much sense, networks attached to the
cluster and not DC, i'd expect adding sub-collection of networks under the cluster (otherwise this is just moving networks abstraction from /api/networks
to the /api/datacenters/xxx/networks and to fetch cluster network user will have to perform O(n-k) (where k is non-dc networks) lookups)

Comment 7 RHEL Product and Program Management 2013-02-13 13:35:37 UTC
Development Management has reviewed and declined this request.
You may appeal this decision by reopening this request.

Comment 12 Sandro Bonazzola 2014-01-14 08:45:00 UTC
ovirt 3.4.0 alpha has been released

Comment 15 Itamar Heim 2014-06-12 14:11:46 UTC
Closing as part of 3.4.0


Note You need to log in before you can comment on or make changes to this bug.